package cn.ezhizao.framework.lock;

import cn.ezhizao.project.business.finance.IndividualIncomeTax.domain.BizFinancialIndividualIncomeTaxDetail;

public class LockKey {

    public static String join(String prefix, Object... vars) {
        StringBuilder builder = new StringBuilder(prefix);
        for (Object var : vars) {
            builder.append(":");
            builder.append(var);
        }
        return builder.toString();
    }

    /**
     * 测试
     */
    public static final String DEMO = "lock:demo";

    public static final String SALARYZERO = "lock:salaryZero";
    public static final String SALARY = "lock:salary";
    public static final String INCOMETAX = "lock:incomeTax";
    public static final String INCOMETAXZero = "lock:incomeTaxZero";

}
